## purpose 5.74.0

=== debian/changelog ===
purpose (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 11:02:16 +0100

purpose (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 11:01:45 +0100

purpose (5.72.0-0ubuntu2) groovy; urgency=medium

  * No change rebuild against libkaccounts2.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jul 2020 14:32:59 +0100

purpose (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:36:19 +0100

purpose (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:09:46 +0100

purpose (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.
    - Do not recommend nodejs as twitter plugin is no more.
    - Depends qml-module-ubuntu-onlineaccounts
    - libkf5purpose5 breaks/replaces libkf5purpose-bin (<< 5.70.0-1~)

 -- Rik Mills <rikmills@kde.org>  Wed, 03 Jun 2020 17:44:30 +0100

purpose (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 1.1-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Remove not needed Build-Depends.
  * Straighten kirigami dependencies.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:58:04 +0200

purpose (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:35:29 +0100

purpose (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Add Build-Depends-Package to symbols file.
  * Remove not needed nodejs-name patch.
  * Delete KPacakge files from libkf5purpose-bin package.
  * Bump compat level to 13.
  * Remove kpackage plugin dir (twitter plugin was removed).
  * Update copyright file.
  * Enable hardening all.
  * Delete not needed Breaks/Confilcts.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 17:58:47 +0200

=== debian/control ===
Source: purpose
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.74.0~),
               intltool,
               kaccounts-integration,
               kirigami2-dev (>= 5.74.0~),
               libaccounts-glib-dev,
               libaccounts-qt5-dev,
               libkaccounts-dev,
               libkf5config-dev (>= 5.74.0~),
               libkf5coreaddons-dev (>= 5.74.0~),
               libkf5i18n-dev (>= 5.74.0~),
               libkf5kio-dev (>= 5.74.0~),
               libkf5notifications-dev (>= 5.74.0~),
               libkf5wallet-dev (>= 5.74.0~),
               libsignon-qt5-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.12.0~),
               qtdeclarative5-dev (>= 5.12.0~),
Standards-Version: 4.5.0
Homepage: https://cgit.kde.org/purpose.git/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/purpose
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/purpose
Rules-Requires-Root: no

Package: libkf5purpose-bin
Architecture: any
Multi-Arch: same
Depends: qml-module-org-kde-bluezqt (>= 5.70.0~) [linux-any],
         qml-module-org-kde-kquickcontrolsaddons (>= 5.70.0~),
         qml-module-qtquick-dialogs,
         qml-module-ubuntu-onlineaccounts,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kdeconnect
Description: abstraction to provide and leverage actions of a specific kind, runtime
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose runtime elements.

Package: libkf5purpose-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5coreaddons-dev (>= 5.74.0~),
         libkf5purpose-bin (= ${binary:Version}),
         libkf5purpose5 (= ${binary:Version}),
         qtbase5-dev (>= 5.12.0~),
         ${misc:Depends},
Description: abstraction to provide and leverage actions of a specific kind, devel files
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose development files.

Package: libkf5purpose5
Architecture: any
Multi-Arch: same
Depends: qml-module-org-kde-kquickcontrolsaddons (>= 5.70.0~),
         qml-module-qtquick-controls2,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5purpose-bin, qml-module-org-kde-purpose (= ${binary:Version})
Suggests: kde-telepathy-send-file
Breaks: libkf5purpose-bin (<< 5.70.0-1~)
Replaces: libkf5purpose-bin (<< 5.70.0-1~)
Description: library for abstractions to get the developer's purposes fulfilled
 Framework for providing abstractions to get the developer's purposes fulfilled.
 .
 This package contains the Purpose library.

Package: qml-module-org-kde-purpose
Architecture: any
Multi-Arch: same
Depends: qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kdeconnect
Description: abstraction to provide and leverage actions of a specific kind, qml bindings
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose Qt Quick QML bindings.

## purpose 5.78.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(Purpose)

find_package(ECM 5.78.0 REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(REQUIRED_QT_VERSION 5.14.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Qml Gui DBus Widgets Network Test)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(FeatureSummary)
include(GenerateExportHeader)

include(ECMSetupVersion)
include(ECMAddTests)
include(ECMInstallIcons)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)
include(ECMQtDeclareLoggingCategory)
include(ECMGenerateQmlTypes)

set(KF5_VERSION "5.78.0") # handled by release scripts
set(KF5_DEP_VERSION "5.78.0") # handled by release scripts

find_package(KF5 ${KF5_DEP_VERSION} REQUIRED COMPONENTS CoreAddons I18n Config Kirigami2)

ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX PURPOSE
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/purpose_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PurposeConfigVersion.cmake"
                        SOVERSION 5)

# Wait until libaccounts-qt has a release that doesn't use QString::null https://gitlab.com/accounts-sso/libaccounts-qt/issues/4
#add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054B00)
add_definitions(-DQT_NO_FOREACH)
add_subdirectory( src )
if (BUILD_TESTING)
    add_subdirectory( autotests )
    add_subdirectory( tests )
endif()

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Purpose")

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5PurposeConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PurposeConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PurposeConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PurposeConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5PurposeTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5PurposeTargets.cmake NAMESPACE KF5:: )

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/purpose_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/purpose COMPONENT Devel
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

#TODO: Remove somewhen in the future
install(FILES
  "${CMAKE_CURRENT_SOURCE_DIR}/KDEExperimentalPurposeConfig.cmake"
  DESTINATION "${KDE_INSTALL_CMAKEPACKAGEDIR}/KDEExperimentalPurpose"
  COMPONENT Devel
)

=== src/CMakeLists.txt ===
qt5_add_resources(purpose_SRCS standard-plugin-types.qrc)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake-paths.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/cmake-paths.h)

ecm_qt_declare_logging_category(external_process_debug_SRCS
    HEADER purpose_external_process_debug.h
    IDENTIFIER PURPOSE_EXTERNAL_PROCESS_LOG
    CATEGORY_NAME kf.purpose.externalprocess
    OLD_CATEGORY_NAMES kf5.purpose.externalprocess
    DESCRIPTION "purpose external process"
    EXPORT PURPOSE
)

add_library(KF5Purpose
    ${external_process_debug_SRCS}
    pluginbase.cpp
    job.cpp
    alternativesmodel.cpp
    configuration.cpp
    helper.cpp
    externalprocess/processjob.cpp
    jobcontroller.cpp
    ${purpose_SRCS}
)

target_include_directories(KF5Purpose PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>"
                                             "$<BUILD_INTERFACE:${Purpose_BINARY_DIR}>"
                                      INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/purpose>"
)
target_link_libraries(KF5Purpose
    PUBLIC
        KF5::CoreAddons
        Qt5::Gui
    PRIVATE
        Qt5::DBus
        Qt5::Network #QLocalSocket
        KF5::ConfigCore
)
set_target_properties(KF5Purpose PROPERTIES VERSION ${PURPOSE_VERSION_STRING}
                                          SOVERSION ${PURPOSE_SOVERSION}
                                          EXPORT_NAME Purpose
)

install(TARGETS KF5Purpose EXPORT KF5PurposeTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
add_library(KF5::Purpose ALIAS KF5Purpose)

generate_export_header(KF5Purpose EXPORT_FILE_NAME ${Purpose_BINARY_DIR}/purpose/purpose_export.h BASE_NAME Purpose)
ecm_generate_headers(Purpose_CamelCase_HEADERS
    HEADER_NAMES
        PluginBase
        AlternativesModel
        Job
        Configuration
    REQUIRED_HEADERS Purpose_HEADERS
    PREFIX Purpose
)

install(FILES ${Purpose_CamelCase_HEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/purpose/Purpose/
        COMPONENT Devel)
install(FILES
  ${Purpose_BINARY_DIR}/purpose/purpose_export.h
  ${Purpose_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/purpose/purpose COMPONENT Devel
)

add_executable(purposeprocess externalprocess/purposeprocess_main.cpp helper.cpp ${external_process_debug_SRCS})
ecm_mark_nongui_executable(purposeprocess)
target_link_libraries(purposeprocess KF5::Purpose Qt5::Network Qt5::Widgets)
install(TARGETS purposeprocess DESTINATION ${KDE_INSTALL_LIBEXECDIR_KF5})

add_subdirectory(plugins)
add_subdirectory(quick)
add_subdirectory(widgets)
add_subdirectory(fileitemactionplugin)

ecm_qt_install_logging_categories(
    EXPORT PURPOSE
    FILE purpose.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== src/fileitemactionplugin/CMakeLists.txt ===
find_package(KF5KIO COMPONENTS)
find_package(KF5Notifications COMPONENTS)
if (NOT KF5KIO_FOUND OR NOT KF5Notifications_FOUND)
    return()
endif()


add_definitions(-DTRANSLATION_DOMAIN="purpose-fileitemaction")
include_directories(${CMAKE_SOURCE_DIR})

set(sharefileitemaction_debug_SRCS)
ecm_qt_declare_logging_category(sharefileitemaction_debug_SRCS
    HEADER purpose_fileitemaction_plugin_debug.h
    IDENTIFIER PURPOSE_FILEITEMACTION_PLUGIN_LOG
    CATEGORY_NAME kf.kio.widgets.fileitemactions.purpose
    OLD_CATEGORY_NAMES kf5.purpose.fileitemactionplugin
    DESCRIPTION "purpose fileitemaction plugin"
    EXPORT PURPOSE
)

kcoreaddons_add_plugin(sharefileitemaction
    SOURCES sharefileitemaction.cpp ${sharefileitemaction_debug_SRCS}
    JSON sharefileitemaction.json
    INSTALL_NAMESPACE "kf5/kfileitemaction")

target_link_libraries(sharefileitemaction
    KF5::KIOWidgets
    KF5::I18n
    KF5::Notifications
    KF5PurposeWidgets
)

=== src/quick/CMakeLists.txt ===
qt5_add_resources(purposequick_SRCS qmlfiles.qrc)

add_library(purposequickplugin purposequickplugin.cpp ${purposequick_SRCS})
target_link_libraries(purposequickplugin Qt5::Qml KF5Purpose)
set(bindest "${CMAKE_BINARY_DIR}/bin/qml/org/kde/purpose/")
set_target_properties(purposequickplugin PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${bindest}")

add_custom_target(moveqmldir ALL
    COMMAND cmake -E make_directory -p ${bindest}
    COMMAND cmake -E copy ${CMAKE_CURRENT_SOURCE_DIR}/qmldir ${bindest}
)

install(TARGETS purposequickplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/purpose)
install(FILES qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/purpose)

ecm_generate_qmltypes(org.kde.purpose 1.0 DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/purpose)

=== src/plugins/kdeconnect_sms/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"purpose_kdeconnectsms\")
add_share_plugin(kdeconnectsmsplugin kdeconnectsmsplugin.cpp)
target_link_libraries(kdeconnectsmsplugin KF5::I18n)

=== src/plugins/nextcloud/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"purpose_nextcloud\")

kaccounts_add_service(${CMAKE_CURRENT_SOURCE_DIR}/nextcloud-upload.service.in)

add_share_plugin(nextcloudplugin nextcloudplugin.cpp nextcloudjob.cpp)
target_link_libraries(nextcloudplugin KF5::KIOCore KF5::I18n KF5::Purpose KAccounts)

=== src/plugins/reviewboard/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"purpose_reviewboard\")
add_subdirectory(icons)

ecm_qt_declare_logging_category(ReviewboardHelpers_SRCS
    HEADER debug.h
    IDENTIFIER PLUGIN_REVIEWBOARD
    CATEGORY_NAME kf.purpose.plugins.reviewboard
    OLD_CATEGORY_NAMES kdevplatform.plugins.reviewboard
    DESCRIPTION "purpose (reviewboard plugin)"
    EXPORT PURPOSE
)

add_library(ReviewboardHelpers reviewboardjobs.cpp ${ReviewboardHelpers_SRCS})
generate_export_header(ReviewboardHelpers EXPORT_FILE_NAME reviewboardhelpers_export.h)
target_link_libraries(ReviewboardHelpers KF5::CoreAddons KF5::I18n Qt5::Network)

add_share_plugin(reviewboardplugin reviewboardplugin.cpp)
target_link_libraries(reviewboardplugin Qt5::Widgets ReviewboardHelpers)

set_target_properties(ReviewboardHelpers PROPERTIES VERSION ${PURPOSE_VERSION_STRING} SOVERSION ${PURPOSE_SOVERSION})
install(TARGETS ReviewboardHelpers ${KF5_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

add_library(rbpurposequickplugin quick/reviewboardquickplugin.cpp quick/rbrepositoriesmodel.cpp quick/rbreviewslistmodel.cpp quick/reviewboardrc.cpp)
target_link_libraries(rbpurposequickplugin Qt5::Qml ReviewboardHelpers)

install(TARGETS rbpurposequickplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/purpose/reviewboard)
install(FILES quick/qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/purpose/reviewboard)

=== debian/changelog ===
purpose (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:27 +0900

purpose (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:44 +0900

purpose (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:37 +0900

purpose (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:56 +0900

purpose (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:18:49 +0200

purpose (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Add renamecategories file to libkf5purpose5.
  * Purpose does not depend on libkf5wallet-dev.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.
  * Update symbols from build for 5.74.0.
  * Update lintian-overrides.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:46:34 +0200

purpose (5.70.0-2) unstable; urgency=medium

  * Team upload.
  * The twitter plugin was removed in version 5.68.0, so:
    - remove the nodejs recommend from libkf5purpose-bin, as it was needed
      for it
    - remove the README.Debian in libkf5purpose-bin mentioning the nodejs
      recommend
  * Demote the kdeconnect recommend in libkf5purpose-bin to a suggest:
    anything that links to libkf5purpose5 gets libkf5purpose-bin added as
    dependency, so installing kdeconnect by default seems too much if only
    the library is used.
  * Remove unused build dependencies: kaccounts-integration, and
    libsignon-qt5-dev.
  * Explicitly add the gettext build dependency.
  * Update lintian overrides.
  * Remove the libkf5purpose-bin dependency in libkf5purpose-dev, as the former
    is not needed to build things using the Purpose libraries.
  * Bump the libkaccounts-dev build dependency to 20.08.0, to make sure to
    build against libkaccounts2.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Aug 2020 00:47:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,31 @@
 Source: purpose
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>,
+           Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
-               extra-cmake-modules (>= 5.74.0~),
+               debhelper-compat (= 13),
+               extra-cmake-modules (>= 5.78.0~),
+               gettext,
                intltool,
-               kaccounts-integration,
-               kirigami2-dev (>= 5.74.0~),
+               kirigami2-dev (>= 5.78.0~),
                libaccounts-glib-dev,
                libaccounts-qt5-dev,
-               libkaccounts-dev,
-               libkf5config-dev (>= 5.74.0~),
-               libkf5coreaddons-dev (>= 5.74.0~),
-               libkf5i18n-dev (>= 5.74.0~),
-               libkf5kio-dev (>= 5.74.0~),
-               libkf5notifications-dev (>= 5.74.0~),
-               libkf5wallet-dev (>= 5.74.0~),
-               libsignon-qt5-dev,
+               libkaccounts-dev (>= 4:20.08.0~),
+               libkf5config-dev (>= 5.78.0~),
+               libkf5coreaddons-dev (>= 5.78.0~),
+               libkf5i18n-dev (>= 5.78.0~),
+               libkf5kio-dev (>= 5.78.0~),
+               libkf5notifications-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.12.0~),
-               qtdeclarative5-dev (>= 5.12.0~),
-Standards-Version: 4.5.0
-Homepage: https://cgit.kde.org/purpose.git/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/purpose
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/purpose
+               qtbase5-dev (>= 5.14.0~),
+               qtdeclarative5-dev (>= 5.14.0~)
+Standards-Version: 4.5.1
+Homepage: https://invent.kde.org/frameworks/purpose
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/purpose
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/purpose.git
 Rules-Requires-Root: no
 
 Package: libkf5purpose-bin
@@ -35,10 +34,9 @@
 Depends: qml-module-org-kde-bluezqt (>= 5.70.0~) [linux-any],
          qml-module-org-kde-kquickcontrolsaddons (>= 5.70.0~),
          qml-module-qtquick-dialogs,
-         qml-module-ubuntu-onlineaccounts,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: kdeconnect
+Suggests: kdeconnect
 Description: abstraction to provide and leverage actions of a specific kind, runtime
  Purpose offers the possibility to create integrate services and actions on
  any application without having to implement them specifically. Purpose will
@@ -52,11 +50,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5coreaddons-dev (>= 5.74.0~),
-         libkf5purpose-bin (= ${binary:Version}),
+Depends: libkf5coreaddons-dev (>= 5.78.0~),
          libkf5purpose5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.12.0~),
-         ${misc:Depends},
+         qtbase5-dev (>= 5.14.0~),
+         ${misc:Depends}
 Description: abstraction to provide and leverage actions of a specific kind, devel files
  Purpose offers the possibility to create integrate services and actions on
  any application without having to implement them specifically. Purpose will
@@ -75,8 +72,6 @@
          ${shlibs:Depends}
 Recommends: libkf5purpose-bin, qml-module-org-kde-purpose (= ${binary:Version})
 Suggests: kde-telepathy-send-file
-Breaks: libkf5purpose-bin (<< 5.70.0-1~)
-Replaces: libkf5purpose-bin (<< 5.70.0-1~)
 Description: library for abstractions to get the developer's purposes fulfilled
  Framework for providing abstractions to get the developer's purposes fulfilled.
  .

## purpose 5.80.0

=== debian/changelog ===
purpose (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:11:05 +0000

purpose (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:25:17 +0000

purpose (5.78.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Depends qml-module-ubuntu-onlineaccounts.
    - Breaks/Replaces libkf5purpose-bin (<< 5.70.0-1~)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Jan 2021 22:06:24 +0000

purpose (5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:59:36 +0000

purpose (5.77.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Depends qml-module-ubuntu-onlineaccounts.
    - Breaks/Replaces libkf5purpose-bin (<< 5.70.0-1~)

 -- Rik Mills <rikmills@kde.org>  Wed, 06 Jan 2021 22:07:52 +0000

purpose (5.77.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.77.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Dec 2020 20:13:13 +0000

purpose (5.76.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.75.0)
  * New upstream release (5.76.0)
  * Remove postinst-must-call-ldconfig obsolete lintian override

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Nov 2020 13:25:59 +0000

=== debian/control ===
--- 
+++ 
@@ -3,29 +3,29 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
                gettext,
                intltool,
-               kirigami2-dev (>= 5.78.0~),
+               kirigami2-dev (>= 5.80.0~),
                libaccounts-glib-dev,
                libaccounts-qt5-dev,
                libkaccounts-dev (>= 4:20.08.0~),
-               libkf5config-dev (>= 5.78.0~),
-               libkf5coreaddons-dev (>= 5.78.0~),
-               libkf5i18n-dev (>= 5.78.0~),
-               libkf5kio-dev (>= 5.78.0~),
-               libkf5notifications-dev,
+               libkf5config-dev (>= 5.80.0~),
+               libkf5coreaddons-dev (>= 5.80.0~),
+               libkf5i18n-dev (>= 5.80.0~),
+               libkf5kio-dev (>= 5.80.0~),
+               libkf5notifications-dev (>= 5.80.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.14.0~),
-               qtdeclarative5-dev (>= 5.14.0~)
+               qtdeclarative5-dev (>= 5.14.0~),
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/purpose
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/purpose
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/purpose.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/purpose
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/purpose
 Rules-Requires-Root: no
 
 Package: libkf5purpose-bin
@@ -34,8 +34,9 @@
 Depends: qml-module-org-kde-bluezqt (>= 5.70.0~) [linux-any],
          qml-module-org-kde-kquickcontrolsaddons (>= 5.70.0~),
          qml-module-qtquick-dialogs,
+         qml-module-ubuntu-onlineaccounts,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Suggests: kdeconnect
 Description: abstraction to provide and leverage actions of a specific kind, runtime
  Purpose offers the possibility to create integrate services and actions on
@@ -50,10 +51,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5coreaddons-dev (>= 5.78.0~),
+Depends: libkf5coreaddons-dev (>= 5.80.0~),
          libkf5purpose5 (= ${binary:Version}),
          qtbase5-dev (>= 5.14.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Description: abstraction to provide and leverage actions of a specific kind, devel files
  Purpose offers the possibility to create integrate services and actions on
  any application without having to implement them specifically. Purpose will
@@ -69,9 +70,11 @@
 Depends: qml-module-org-kde-kquickcontrolsaddons (>= 5.70.0~),
          qml-module-qtquick-controls2,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Recommends: libkf5purpose-bin, qml-module-org-kde-purpose (= ${binary:Version})
 Suggests: kde-telepathy-send-file
+Breaks: libkf5purpose-bin (<< 5.70.0-1~)
+Replaces: libkf5purpose-bin (<< 5.70.0-1~)
 Description: library for abstractions to get the developer's purposes fulfilled
  Framework for providing abstractions to get the developer's purposes fulfilled.
  .
@@ -85,7 +88,7 @@
          qml-module-qtquick-layouts,
          qml-module-qtquick2,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Recommends: kdeconnect
 Description: abstraction to provide and leverage actions of a specific kind, qml bindings
  Purpose offers the possibility to create integrate services and actions on

## purpose 5.86.0

=== debian/changelog ===
purpose (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 11:05:17 +0900

purpose (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:49 +0900

purpose (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:07:39 +0900

purpose (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:12 +0900

purpose (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:32:18 +0900

purpose (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:25:42 +0900

purpose (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:21 +0900

purpose (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:37 +0900

purpose (5.79.0-2) experimental; urgency=medium

  [ Norbert Preining ]
  * Strengthen B-D for libkf5notifications-dev, fix failed builds.

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 20:01:06 +0900

purpose (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:30 +0900

=== debian/control ===
--- 
+++ 
@@ -2,30 +2,29 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.5~),
+Uploaders: Norbert Preining <norbert@preining.info>
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
                gettext,
                intltool,
-               kirigami2-dev (>= 5.80.0~),
+               kirigami2-dev (>= 5.86.0~),
                libaccounts-glib-dev,
                libaccounts-qt5-dev,
                libkaccounts-dev (>= 4:20.08.0~),
-               libkf5config-dev (>= 5.80.0~),
-               libkf5coreaddons-dev (>= 5.80.0~),
-               libkf5i18n-dev (>= 5.80.0~),
-               libkf5kio-dev (>= 5.80.0~),
-               libkf5notifications-dev (>= 5.80.0~),
+               libkf5config-dev (>= 5.86.0~),
+               libkf5coreaddons-dev (>= 5.86.0~),
+               libkf5i18n-dev (>= 5.86.0~),
+               libkf5kio-dev (>= 5.86.0~),
+               libkf5notifications-dev (>= 5.86.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.14.0~),
-               qtdeclarative5-dev (>= 5.14.0~),
-Standards-Version: 4.5.1
+               qtbase5-dev (>= 5.15.2~),
+               qtdeclarative5-dev (>= 5.15.2~),
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/purpose
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/purpose
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/purpose
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/purpose
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/purpose.git
 Rules-Requires-Root: no
 
 Package: libkf5purpose-bin
@@ -34,7 +33,6 @@
 Depends: qml-module-org-kde-bluezqt (>= 5.70.0~) [linux-any],
          qml-module-org-kde-kquickcontrolsaddons (>= 5.70.0~),
          qml-module-qtquick-dialogs,
-         qml-module-ubuntu-onlineaccounts,
          ${misc:Depends},
          ${shlibs:Depends},
 Suggests: kdeconnect
@@ -51,9 +49,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5coreaddons-dev (>= 5.80.0~),
+Depends: libkf5coreaddons-dev (>= 5.86.0~),
          libkf5purpose5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.14.0~),
+         qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Description: abstraction to provide and leverage actions of a specific kind, devel files
  Purpose offers the possibility to create integrate services and actions on
@@ -73,8 +71,6 @@
          ${shlibs:Depends},
 Recommends: libkf5purpose-bin, qml-module-org-kde-purpose (= ${binary:Version})
 Suggests: kde-telepathy-send-file
-Breaks: libkf5purpose-bin (<< 5.70.0-1~)
-Replaces: libkf5purpose-bin (<< 5.70.0-1~)
 Description: library for abstractions to get the developer's purposes fulfilled
  Framework for providing abstractions to get the developer's purposes fulfilled.
  .

## purpose 5.92.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(Purpose)

find_package(ECM 5.92.0 REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(REQUIRED_QT_VERSION 5.15.2)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)

include(FeatureSummary)
include(GenerateExportHeader)

include(ECMSetupVersion)
include(ECMAddTests)
include(ECMInstallIcons)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)
include(ECMQtDeclareLoggingCategory)
include(ECMGenerateQmlTypes)
include(ECMQMLModules)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Qml Gui DBus Widgets Network Test)

set(KF_VERSION "5.92.0") # handled by release scripts
set(KF_DEP_VERSION "5.92.0") # handled by release scripts

find_package(KF5 ${KF_DEP_VERSION} REQUIRED COMPONENTS CoreAddons I18n Config Kirigami2 Notifications KIO)

find_package(KAccounts)

set_package_properties(KAccounts PROPERTIES
                       PURPOSE "Needed for YouTube and Nextcloud upload"
                       TYPE OPTIONAL
)

ecm_find_qmlmodule(Ubuntu.OnlineAccounts 0.1)
ecm_find_qmlmodule(org.kde.kquickcontrolsaddons 2.0)
ecm_find_qmlmodule(org.kde.prison 1.0)

ecm_setup_version(${KF_VERSION} VARIABLE_PREFIX PURPOSE
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/purpose_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PurposeConfigVersion.cmake"
                        SOVERSION 5)

# Wait until libaccounts-qt has a release that doesn't use QString::null https://gitlab.com/accounts-sso/libaccounts-qt/issues/4
#add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055100)
add_subdirectory( src )
if (BUILD_TESTING)
    add_subdirectory( autotests )
    add_subdirectory( tests )
endif()

ki18n_install(po)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Purpose")

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5PurposeConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PurposeConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PurposeConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PurposeConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5PurposeTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5PurposeTargets.cmake NAMESPACE KF5:: )

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/purpose_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/purpose COMPONENT Devel
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

#TODO: Remove somewhen in the future
install(FILES
  "${CMAKE_CURRENT_SOURCE_DIR}/KDEExperimentalPurposeConfig.cmake"
  DESTINATION "${KDE_INSTALL_CMAKEPACKAGEDIR}/KDEExperimentalPurpose"
  COMPONENT Devel
)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== autotests/CMakeLists.txt ===
ecm_add_tests(alternativesmodeltest.cpp LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::Purpose KF5::ConfigCore)
ecm_add_tests(menutest.cpp LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::PurposeWidgets)

set(bindest "${CMAKE_BINARY_DIR}/bin/qml")
set(qml2ImportPath "$ENV{QML2_IMPORT_PATH}")
if (WIN32)
   set(PATHSEP ";")
else()
   set(PATHSEP ":")
endif()
if (qml2ImportPath)
   set(qml2ImportPath "${bindest}${PATHSEP}${qml2ImportPath}")
else()
   set(qml2ImportPath "${bindest}")
endif()
set_property(TEST menutest PROPERTY ENVIRONMENT QML2_IMPORT_PATH=${qml2ImportPath} APPEND)
set_property(TEST alternativesmodeltest PROPERTY ENVIRONMENT QML2_IMPORT_PATH=${qml2ImportPath} APPEND)
set_property(TEST menutest PROPERTY ENVIRONMENT KDE_PURPOSE_LOCAL_JOBS=1 APPEND)
set_property(TEST alternativesmodeltest PROPERTY ENVIRONMENT KDE_PURPOSE_LOCAL_JOBS=1 APPEND)

=== src/quick/CMakeLists.txt ===
qt_add_resources(purposequick_SRCS qmlfiles.qrc)

add_library(purposequickplugin purposequickplugin.cpp ${purposequick_SRCS})
target_link_libraries(purposequickplugin Qt${QT_MAJOR_VERSION}::Qml KF5Purpose)
set(bindest "${CMAKE_BINARY_DIR}/bin/qml/org/kde/purpose/")
set_target_properties(purposequickplugin PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${bindest}")

add_custom_command(
    OUTPUT ${bindest}/qmldir
    COMMAND cmake -E make_directory -p ${bindest}
    COMMAND cmake -E copy ${CMAKE_CURRENT_SOURCE_DIR}/qmldir ${bindest}
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/qmldir
)

install(TARGETS purposequickplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/purpose)
install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/purpose)

ecm_generate_qmltypes(org.kde.purpose 1.0 DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/purpose)

=== src/widgets/CMakeLists.txt ===
qt_add_resources(qmlfiles_SRCS purposewidgets-resources.qrc)
add_library(KF5PurposeWidgets menu.cpp ${qmlfiles_SRCS})
generate_export_header(KF5PurposeWidgets EXPORT_FILE_NAME purposewidgets_export.h BASE_NAME PurposeWidgets)
target_link_libraries(KF5PurposeWidgets
    PUBLIC
        KF5::Purpose
        Qt${QT_MAJOR_VERSION}::Widgets
    PRIVATE
        Qt${QT_MAJOR_VERSION}::Qml
        KF5::I18n
)
set_target_properties(KF5PurposeWidgets PROPERTIES VERSION ${PURPOSE_VERSION}
                                          SOVERSION ${PURPOSE_SOVERSION}
                                          EXPORT_NAME PurposeWidgets
)
target_include_directories(KF5PurposeWidgets PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>"
                                             "$<BUILD_INTERFACE:${Purpose_BINARY_DIR}>"
                                      INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/purposewidgets>"
)

install(TARGETS KF5PurposeWidgets EXPORT KF5PurposeTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
add_library(KF5::PurposeWidgets ALIAS KF5PurposeWidgets)

ecm_generate_headers(PurposeWidgets_CamelCase_HEADERS
    HEADER_NAMES
        Menu
    REQUIRED_HEADERS PurposeWidgets_HEADERS
    PREFIX PurposeWidgets
)
install(FILES
        ${PurposeWidgets_CamelCase_HEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/purposewidgets/PurposeWidgets/
        COMPONENT Devel)
install(FILES
  ${Purpose_BINARY_DIR}/src/widgets/purposewidgets_export.h
  ${PurposeWidgets_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/purposewidgets/purposewidgets COMPONENT Devel
)

=== src/plugins/barcode/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"purpose_barcode\")
add_share_plugin(barcodeplugin barcodeplugin.cpp)

=== src/plugins/email/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"purpose_email\")
add_share_plugin(emailplugin emailplugin.cpp)
target_link_libraries(emailplugin KF5::I18n KF5::Service)

=== src/plugins/phabricator/icons/CMakeLists.txt ===
ecm_install_icons(ICONS 16-apps-phabricator-purpose.png 128-apps-phabricator-purpose.png
                  DESTINATION ${KDE_INSTALL_ICONDIR}
                  THEME hicolor)

=== debian/changelog ===
purpose (5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:30:22 +0000

purpose (5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:11:31 +0000

purpose (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:50:37 +0000

purpose (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:19:16 +0000

purpose (5.88.0-1ubuntu3) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 18:13:40 +0000

purpose (5.88.0-1ubuntu2) jammy; urgency=medium

  * Fix typo.

 -- Rik Mills <rikmills@kde.org>  Sat, 27 Nov 2021 09:59:21 +0000

purpose (5.88.0-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
  * Merge from debian unstable. Remaining changes:
    - Runtime depends:
      + qml-module-ubuntu-onlineaccounts
      + qml-module-org-kde-prison
    - Breaks/Replaces libkf5purpose-bin (<< 5.70.0-1~)
    - Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Thu, 25 Nov 2021 13:27:06 +0000

purpose (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * Cherry-pick upstream fix for sharing to telegram (Closes: #996683).
  * New upstream release (5.88.0).
  * Drop upstream included patch.
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:43 +0900

purpose (5.88.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.88.0)
  * Update lintian.

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Nov 2021 18:22:06 +0000

purpose (5.87.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.87.0)
  * Add qml-module-org-kde-prison to libkf5purpose-bin Depends

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 11 Nov 2021 11:08:48 +0000

purpose (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:51:09 +0100

purpose (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:30:43 +0100

purpose (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 09:03:32 +0100

purpose (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:20:28 +0100

purpose (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 12:00:13 +0100

purpose (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:32:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,31 @@
 Source: purpose
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.86.0~),
+               extra-cmake-modules (>= 5.92.0~),
                gettext,
                intltool,
-               kirigami2-dev (>= 5.86.0~),
+               kirigami2-dev (>= 5.92.0~),
                libaccounts-glib-dev,
                libaccounts-qt5-dev,
                libkaccounts-dev (>= 4:20.08.0~),
-               libkf5config-dev (>= 5.86.0~),
-               libkf5coreaddons-dev (>= 5.86.0~),
-               libkf5i18n-dev (>= 5.86.0~),
-               libkf5kio-dev (>= 5.86.0~),
-               libkf5notifications-dev (>= 5.86.0~),
+               libkf5config-dev (>= 5.92.0~),
+               libkf5coreaddons-dev (>= 5.92.0~),
+               libkf5i18n-dev (>= 5.92.0~),
+               libkf5kio-dev (>= 5.92.0~),
+               libkf5notifications-dev (>= 5.92.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/purpose
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/purpose
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/purpose.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/purpose
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/purpose
 Rules-Requires-Root: no
 
 Package: libkf5purpose-bin
@@ -32,7 +33,9 @@
 Multi-Arch: same
 Depends: qml-module-org-kde-bluezqt (>= 5.70.0~) [linux-any],
          qml-module-org-kde-kquickcontrolsaddons (>= 5.70.0~),
+         qml-module-org-kde-prison,
          qml-module-qtquick-dialogs,
+         qml-module-ubuntu-onlineaccounts,
          ${misc:Depends},
          ${shlibs:Depends},
 Suggests: kdeconnect
@@ -49,7 +52,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5coreaddons-dev (>= 5.86.0~),
+Depends: libkf5coreaddons-dev (>= 5.92.0~),
          libkf5purpose5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
@@ -71,6 +74,8 @@
          ${shlibs:Depends},
 Recommends: libkf5purpose-bin, qml-module-org-kde-purpose (= ${binary:Version})
 Suggests: kde-telepathy-send-file
+Breaks: libkf5purpose-bin (<< 5.70.0-1~)
+Replaces: libkf5purpose-bin (<< 5.70.0-1~)
 Description: library for abstractions to get the developer's purposes fulfilled
  Framework for providing abstractions to get the developer's purposes fulfilled.
  .
